Subject: Re: [PATCH net] bonding: add ip checks when store ip target

From: Ding Tianhong <[email-masked]>
Date: Tue, 12 Nov 2013 23:46:43 +0800

于 2013/11/12 19:36, Veaceslav Falico 写道:
> On Tue, Nov 12, 2013 at 07:25:24PM +0800, Ding Tianhong wrote:
>> I met a Bug when I add ip target with the wrong ip address:
>>
>> echo +500.500.500.500 > /sys/class/net/bond0/bonding/arp_ip_target
>>
>> the wrong ip address will transfor to 245.245.245.244 and add
>> to the ip target success, it is uncorrect, so I add checks to avoid
>> adding wrong address.
>>
>> The in4_pton() will set wrong ip address to 0.0.0.0, it will return by
>> the next check and will not add to ip target.
>>
>> Signed-off-by: Ding Tianhong <[email-masked]>
>> ---
>> drivers/net/bonding/bond_sysfs.c | 2 +-
>> 1 file changed, 1 insertion(+), 1 deletion(-)
>
> Your mail client, apparently, transformed tabs into spaces, so the patch
> doesn't apply.
>
yes, the patch was made in net-next, I forget to make it in net, I'll 
send it by office mail in office later.
Thanks.
Regards
Ding
>>
>> diff --git a/drivers/net/bonding/bond_sysfs.c 
>> b/drivers/net/bonding/bond_sysfs.c
>> index 4838a97..5b7bf37 100644
>> --- a/drivers/net/bonding/bond_sysfs.c
>> +++ b/drivers/net/bonding/bond_sysfs.c
>> @@ -612,7 +612,7 @@ static ssize_t bonding_store_arp_targets(struct 
>> device *d,
>> return restart_syscall();
>>
>> targets = bond->params.arp_targets;
>> - newtarget = in_aton(buf + 1);
>> + in4_pton(buf + 1, strlen(buf) - 1, (u8 *)&newtarget, -1, NULL);
>> /* look for adds */
>> if (buf[0] == '+') {
>> if ((newtarget == 0) || (newtarget == htonl(INADDR_BROADCAST))) {
>> -- 
>> 1.8.2.1
>>
>>
> -- 
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at http://vger.kernel.org/majordomo-info.html
>